Summary:	Nagios Image Packs
Name:		nagios-imagepaks
Version:	1.0
Release:	%mkrel 12
License:	Open Source
Group:		Networking/WWW
URL:		http://www.nagios.org/download/extras.php
Source0:	http://dl.sourceforge.net/nagios/imagepak-base.tar.gz
Source1:	http://dl.sourceforge.net/nagios/imagepak-bernhard.tar.gz
Source2:	http://dl.sourceforge.net/nagios/imagepak-cook.tar.gz
Source3:	http://dl.sourceforge.net/nagios/imagepak-didier.tar.gz
Source4:	http://dl.sourceforge.net/nagios/imagepak-remus.tar.gz
Source5:	http://dl.sourceforge.net/nagios/imagepak-satrapa.tar.gz
Source6:	http://dl.sourceforge.net/nagios/imagepak-werschler.tar.gz
Source7:	http://glen.alkohol.ee/pld/nagios/imagepak-pld-20050402.4.tar.bz2
Source8:	mandriva.png
Requires:	nagios-www
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	gd-utils

%define		_logodir	%{_datadir}/nagios/www/images/logos

%description
Image packs are provided so that you have some colorful OS and device images to
beautify your CGIs in Nagios. Each pack includes GIF, JPEG, PNG, and GD2
versions of each icon.

%prep

%install
install -d %{buildroot}%{_logodir}/{bernhard,cook}
tar -xz -C %{buildroot}%{_logodir} -f %{SOURCE0}
tar -xz -C %{buildroot}%{_logodir}/bernhard --strip-components=1 -f %{SOURCE1}
tar -xz -C %{buildroot}%{_logodir}/cook -f %{SOURCE2}
tar -xz -C %{buildroot}%{_logodir} -f %{SOURCE3}
tar -xz -C %{buildroot}%{_logodir} -f %{SOURCE4}
tar -xz -C %{buildroot}%{_logodir} -f %{SOURCE5}
tar -xz -C %{buildroot}%{_logodir} -f %{SOURCE6}
tar -xj -C %{buildroot}%{_logodir}/base --strip-components=1 -f %{SOURCE7}

# shiny mandriva icon
install -m 644 %{SOURCE8} %{buildroot}%{_logodir}/base/mandriva.png
convert %{SOURCE8} %{buildroot}%{_logodir}/base/mandriva.gif
convert %{SOURCE8} %{buildroot}%{_logodir}/base/mandriva.jpg
pngtogd2  %{SOURCE8} %{buildroot}%{_logodir}/base/mandriva.gd2 0 1

%files
%{_logodir}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0-12.mga8
+ Revision: 1492192
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0-11.mga7
+ Revision: 1264653
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 1.0-10.mga6
+ Revision: 930268
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-9.mga5
+ Revision: 744884
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-8.mga5
+ Revision: 682787
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-7.mga4
+ Revision: 508221
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 1.0-5.mga1
+ Revision: 63022
- imported package nagios-imagepaks


* Tue Dec 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-5mdv2009.1
+ Revision: 321455
- adaptation for new nagios web files location

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-4mdv2009.0
+ Revision: 253547
- rebuild

* Wed Jan 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-2mdv2008.1
+ Revision: 157185
- add shiny mandriva icon

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2008.0
+ Revision: 13807
- Import nagios-imagepaks



* Wed Apr 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2007.1
- initial Mandriva package (pld import)
